### Method

# Gtk GestureSingleset_button

#### Declaration [src]

    void
    gtk_gesture_single_set_button (
      GtkGestureSingle* gesture,
      guint button
    )

#### Description [src]

Sets the button number `gesture` listens to.

If non-0, every button press from a different button number will be ignored. Touch events implicitly match with button 1.

Sets property | `Gtk.GestureSingle:button`

#### Parameters

`button`

  Type: `guint`

  Button number to listen to, or 0 for any button.